Subject: 23.0.60; performance issue since CVS 2009-01-30

From: [email-masked]
Date: Tue, 03 Feb 2009 20:25:52 +0800

Since CVS 2009-01-30, Emacs.app here becomes very slow, and CPU consuming,
especially for w3m (often freezes more than 30seconds with 100% CPU)

I try to trace what the issue is. And find that it only relates to the Emacs excutable:
"/Applications/Emacs.app/Contents/MacOS/Emacs"
If I replace it with the excutable of 2009-01-29, everything backs to normal.
(which means that lisp/site-lisp parts are no problem)

I notice that there are some changes in CVS/emacs/src 3 to 4 days ago,
but I am unable to trace/debug it further. Can you look at the changes to
see what might cause the issue? (or any advice for me to further debug it)

Cheers,
poppyer

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-01-28 on neutron.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: zh_CN.UTF-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  erc-log-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  gnus-undo-mode: t
  recentf-mode: t
  show-paren-mode: t
  cua-mode: t
  mouse-sel-mode: t
  xterm-mouse-mode: t
  global-hl-line-mode: t
  pinbar-mode: t
  shell-dirtrack-mode: t
  which-function-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
t RET ESC 1 n n n n n n n n n n n n p p p p p p p p 
p p p p p p p n n n n n n n n n n n n n n n n n n n 
n n p p p p p p p p p p p p p p p p p n n n n n n n 
n n n n n n n n n n n n n n n n ESC 2 ESC 1 ESC o ESC 
o ESC o ESC o p p p p p p RET SPC q C-x o x f k SPC 
DEL DEL DEL DEL C-\ x f k SPC k t k SPC DEL DEL x f 
SPC k t k SPC . RET C-x o C-x 1 ESC < n n n n n n n 
n p RET C-x b t RET g k p SPC DEL g k l p SPC p y g 
l SPC DEL v q a DEL SPC k t k SPC . RET p SPC g k SPC 
i p k h SPC m q b SPC RET C-l ESC 1 ESC [ M SPC . 5 
ESC [ M # . 5 n n n C-x b t h RET ESC 1 ESC o i SPC 
x f v q SPC y i SPC w v r t SPC C-a C-e C-a C-e RET 
ESC 1 p p p p p p p p p n n n n n n C-x b t h RET : 
D RET ESC 1 ESC x d e s TAB c r TAB TAB ESC DEL r e 
p o TAB TAB r TAB RET

Recent messages:
Waiting for response from imap.gmail.com...done
Parsing authinfo file `~/.authinfo'.
imap: Plaintext authentication...
Opening nnimap server on gmail...done
Reading active file from gmail via nnimap...
nnimap: Checking mailboxes...done
Reading active file from news.motzarella.org via nntp...
Opening nntp server on news.motzarella.org...done
Checking new news...done
Making completion list... [3 times]